view.hpp File Reference
`#include <iostream>`
`#include <gecode/float/var/float.hpp>`
`#include <gecode/float/view/float.hpp>`
`#include <gecode/float/view/minus.hpp>`
`#include <gecode/float/view/offset.hpp>`
`#include <gecode/float/view/scale.hpp>`
`#include <gecode/float/view/print.hpp>`
`#include <gecode/float/var/print.hpp>`
`#include <gecode/float/view/rel-test.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Float::FloatView
| Float view for float variables. More...
class | Gecode::Float::MinusView
| Minus float view. More...
class | Gecode::Float::OffsetView
| OffsetView float view. More...
class | Gecode::Float::ScaleView
| Scale float view. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.

## Enumerations

enum | Gecode::Float::RelTest { Gecode::Float::RT_FALSE = 0 , Gecode::Float::RT_MAYBE = 1 , Gecode::Float::RT_TRUE = 2 }
| Result of testing relation. More...

## Functions

template<class View>
RelTest | Gecode::Float::rtest_eq (View x, View y)
| Test whether views x and y are equal.
template<class View>
RelTest | Gecode::Float::rtest_eq (View x, FloatVal n)
| Test whether view x and Float n are equal.
template<class View>
RelTest | Gecode::Float::rtest_lq (View x, View y)
| Test whether view x is less or equal than view y.
template<class View>
RelTest | Gecode::Float::rtest_lq (View x, FloatVal n)
| Test whether view x is less or equal than float n.
template<class View>
RelTest | Gecode::Float::rtest_le (View x, View y)
| Test whether view x is less than view y.
template<class View>
RelTest | Gecode::Float::rtest_le (View x, FloatVal n)
| Test whether view x is less or equal than float n.